Skip to main content
GET
/
broadcasts
/
{id}
Get a broadcast
curl --request GET \
  --url https://api.getvero.com/api/v2/broadcasts/{id} \
  --header 'Authorization: <api-key>'
import requests

url = "https://api.getvero.com/api/v2/broadcasts/{id}"

headers = {"Authorization": "<api-key>"}

response = requests.get(url, headers=headers)

print(response.text)
const options = {method: 'GET', headers: {Authorization: '<api-key>'}};

fetch('https://api.getvero.com/api/v2/broadcasts/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "id": 42,
  "name": "Welcome to the weekly digest",
  "channel": "email",
  "schedule": {
    "type": "single",
    "timezone_detection": false
  },
  "status": "draft",
  "created_at": "2026-03-01T10:00:00Z",
  "updated_at": "2026-03-01T10:00:00Z"
}
{
"error": "not_found"
}

Authorizations

Authorization
string
header
required

Accepts either a raw API key or Bearer <key>.

Headers

revision
string

Optional dated API revision for the request. Must use YYYY-MM-DD format.

Pattern: ^\d{4}-\d{2}-\d{2}$
Example:

"2026-03-01"

Path Parameters

id
integer
required

Broadcast ID.

Response

Single broadcast returned.

A broadcast: a one-off or recurring message sent to an audience.

id
integer
required
name
string
required

Broadcast name.

channel
enum<string>
required

Delivery channel.

Available options:
email,
sms,
push
schedule
object
required

Scheduling details for the broadcast. type indicates whether the broadcast is sent once or on a recurring schedule. Additional scheduling fields (such as scheduled_at, cron, next_scheduled_at, batches, and timezone_detection) may also be present.

status
enum<string>
required

Broadcast status. archived is returned for archived broadcasts on the detail endpoint.

Available options:
draft,
scheduled,
sending,
sent,
cancelled,
active,
paused,
archived
created_at
string<date-time>
required
updated_at
string<date-time>
required